  <h1 class="h3 mb-1 text-gray-800">Stock Opname</h1>
  <p class="mb-4">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>

  <!-- Content Row -->
  <div class="row">

    <!-- Grow In Utility -->
    <div class="col-lg-6">

      <div class="card position-relative">
        <div class="card-header py-3">
          <h6 class="m-0 font-weight-bold text-primary">Daftar Ruangan</h6>
        </div>
        <div class="card-body">
          <div class="list-group" id="listRuangan">
          </div>
        </div>
      </div>

    </div>

    <!-- Fade In Utility -->
    <div class="col-lg-6">

      <div class="card position-relative">
        <div class="card-header py-3">
          <h6 class="m-0 font-weight-bold text-primary">Daftar Barang</h6>
        </div>
        <div class="card-body">
          <ul class="list-group" id="listBarang"></ul>
        </div>
      </div>
    </div>
  </div>
</div>
<script type="text/javascript">
$.ajax({dataType:"json", url: $("#apiurl").val()+"/inventory/getRuangan"}).done(function(data) {
  $.each( data, function( key, val ) {
    var markup = '<a href="#!" onclick=detailRuangan("'+val.ruang_id+'") class="list-group-item list-group-item-action">'+val.deskripsi+' <span class="badge badge-primary badge-pill float-right" id="'+val.ruang_id+'"></span></a>';
    $("#listRuangan").append(markup);
    $.ajax({dataType:"json", url: $("#apiurl").val()+"/inventory/getAssetList?ruang="+val.ruang_id}).done(function(dt) {
      $("#"+val.ruang_id).text(dt.length);
    });
  })
});
function updateKondisi(x,y)
{
  $.post($("#apiurl").val()+"/inventory/updateKondisi",{kondisi_id:x,sn:y},function(){});
}
function detailRuangan(ruang_id)
{
  $("#listBarang").html("");
  $.ajax({dataType:"json", url: $("#apiurl").val()+"/inventory/getAssetList?ruang="+ruang_id}).done(function(data)
    {
        $.each( data, function( key, val )
        {
          var m1 = '<li class="list-group-item">('+val.sn+') '+val.barang+' ('+val.type+') <select onchange=updateKondisi(this.value,"'+val.sn+'") id="kondisi'+val.sn+'" class="float-right ">';
          var m2 = '<option '+kondisi(1,val.kondisi_id)+' value="1">Baik</option>';
          var m3 = '<option '+kondisi(2,val.kondisi_id)+' value="2">Rusak Ringan</option>';
          var m4 = '<option '+kondisi(3,val.kondisi_id)+' value="3">Rusak Berat</option>';
          var m5 = '</select></li>';
          $("#listBarang").append(m1+m2+m3+m4+m5);
        });
    }
  );
  function kondisi(x,y)
  {
    if(x==y)
      return "selected";
  }
}
</script>
